/**
 * Parse a string of XML to a xast tree.
 *
 * @param {string | Uint8Array} doc
 *   Serialized XML.
 * @returns {Root}
 *   xast root.
 */
export function fromXml(doc: string | Uint8Array): Root
export type Tag = import('sax').Tag
export type Point = import('unist').Point
export type Root = import('xast').Root
export type Comment = import('xast').Comment
export type Text = import('xast').Text
export type Doctype = import('xast').Doctype
export type RootChildMap = import('xast').RootChildMap
export type Child = RootChildMap[keyof RootChildMap]
export type Node = Root | Child
